Bug 1128639 - Project is partially built even though there is CNFE
Summary: Project is partially built even though there is CNFE
Keywords:
Status: VERIFIED
Alias: None
Product: JBoss BPMS Platform 6
Classification: Retired
Component: Business Central
Version: 6.0.2
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: DR3
: 6.1.0
Assignee: Maciej Swiderski
QA Contact: Lukáš Petrovický
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-11 09:19 UTC by Anton Giertli
Modified: 2016-08-01 01:16 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)
[0] git repository (160.07 KB, application/zip)
2014-08-11 09:19 UTC, Anton Giertli
no flags Details
[1] handlers (11.13 KB, application/x-java-archive)
2014-08-11 09:20 UTC, Anton Giertli
no flags Details

Description Anton Giertli 2014-08-11 09:19:41 UTC
Created attachment 925651 [details]
[0] git repository

Description of problem:

I have tried to build a project and GUI informed me about ClassNotFoundException. However, the project was still somehow built - but only partially.

The message in the log says:

11:11:15,836 INFO  [org.drools.compiler.kie.builder.impl.KieRepositoryImpl] (http-/127.0.0.1:8080-9) KieModule was added:MemoryKieModule[ ReleaseId=org.redhat.gss:customWorkItemProcess:1.1]


The project is displayed in the list of deployments in the business-central.

However, no process definition are displayed under Process Definition menu.

Moreover, if you try to undeploy the project for the first time, you receive:

	
Undeployment of unit org.redhat.gss:customWorkItemProcess:1.1 failed: null
-

For the second time, the undeployment is successful.

Version-Release number of selected component (if applicable):


How reproducible:

always

Steps to Reproduce:
1. Drop handlers.jar under WEB-INF/lib of business-central.war
2. Import the attached repository into the business-central
3. Build the project  - CNFE will be displayed through the GUI
4. Navigate to the Process Definition - no processes are loaded
5. Navigate to the list of deployments - the unit is there, try to undeploy it - it fails for the first time, should success for the second

Actual results:
The project is partially built even though there is ClassNotFoundException.

Expected results:

The project is not built at all.


Additional info:

Comment 2 Anton Giertli 2014-08-11 09:20:36 UTC
Created attachment 925652 [details]
[1] handlers

Comment 3 Anton Giertli 2014-08-11 09:24:23 UTC
And if you like watching a video,  grab the popcorn and watch it here:
https://docs.google.com/file/d/0B9FEDpx-WZeoR01ZeHRVbmVDNFk/edit

it seems like the exception in the log is not related to the undeployment at all.

Comment 4 Maciej Swiderski 2014-08-27 17:48:42 UTC
issue was mainly addressed by BZ 1104103 but was catching only Exceptions while in this particular case it was ClassNotFoundError that was not properly handled. Improvement to catch all Throwable was made

jbpm
master:
https://github.com/droolsjbpm/jbpm/commit/93b25ccdbef066f3aae07ca72a100af006bdf93c


Note You need to log in before you can comment on or make changes to this bug.